// =====================================================================================
//
//       Filename:  sample.c
//
//    Description:  
//                     code edit with vim and and tw=2, default code is under utf-8.
//
//        Version:  $Id$
//        Created:  2024/4/8 22:36:23
//       Revision:  none
//       Compiler:  modern c/c++ compiler, at least c++17 is requiment.
//                        ( test under gcc 10.2.1 and vs2019 ).
//
//         Author:  lk (yy), lk@shucantech.com
//				Company:  sct
//   Organization:  sct-p
//
//				License:  sct-cl v0
//
// =====================================================================================

#include "string.h"
#include "./inc/nosql_lib.h"

int main( int argc, char **argv ) {
  connect_to_server("127.0.0.1", 55554, "user", "user");
  void* d = NULL;
  const char* s = NULL;
  
  s = "clear";
  d = exec(s, strlen(s));
  print(d);
  
  s = "create vector u32";
  d = exec(s, strlen(s));
  print(d);
  del_datas(d);
  
  s = "kvs";
  d = exec(s, strlen(s));
  print(d);
  del_datas(d);
  
  s = "ins 0 last 0";
  d = exec(s, strlen(s));
  del_datas(d);
  
  s = "ins 0 last 1";
  d = exec(s, strlen(s));
  del_datas(d);
  
  s = "set 0 last 9";
  d = exec(s, strlen(s));
  del_datas(d);
  
  s = "get 0 all";
  d = exec(s, strlen(s));
  print(d);
  del_datas(d);
  
  s = "erase 0";
  d = exec(s, strlen(s));
  del_datas(d);
  
  exit_to_server();

	return 0;
}
